## python-jsonrpc 1.13.0

=== Makefile ===
.PHONY: help
# target: help - Display callable targets
help:
	@egrep "^# target:" [Mm]akefile

.PHONY: clean
# target: clean - Display callable targets
clean:
	@rm -rf build dist docs/_build
	@find . -name \*.py[co] -delete
	@find . -name *\__pycache__ -delete

.PHONY: upload
# target: upload - Upload module on PyPI
upload:
	@python setup.py sdist bdist_wheel upload || echo 'Upload already'

.PHONY: serve
# target: serve - server docs
serve:
	python3 -mhttp.server

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/json-rpc.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/json-rpc.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/json-rpc"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/json-rpc"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
sphinx>=1.3
sphinx_rtd_theme

## python-jsonrpc 1.12.1

=== debian/changelog ===
python-jsonrpc (1.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:53:39 +0800

python-jsonrpc (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.3.0 (no change).
  * Drop myself from Uploaders.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 18 Jan 2019 07:30:37 +0000

python-jsonrpc (1.11.1-1) unstable; urgency=low

  [ Ghislain Antony Vaillant ]
  * Initial release. (Closes: #879050)

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 10 Dec 2018 12:46:35 +0000

=== debian/control ===
Source: python-jsonrpc
Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-django <!nocheck>,
               python3-flask <!nocheck>,
               python3-mock <!nocheck>,
               python3-nose <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jsonrpc
Vcs-Git: https://salsa.debian.org/python-team/modules/python-jsonrpc.git
Homepage: https://github.com/pavlov99/json-rpc

Package: python3-jsonrpc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-jsonrpc-doc <!nodoc>
Description: Python implementation of JSON-RPC 1.0 and 2.0 (Python 3)
 JSON-RPC is a stateless, light-weight remote procedure call (RPC) protocol.
 Primarily this specification defines several data structures and the rules
 around their processing. It is transport agnostic in that the concepts can be
 used within the same process, over sockets, over http, or in many various
 message passing environments. It uses JSON (RFC 4627) as data format.
 .
 This package provides the modules for Python 3.

Package: python-jsonrpc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for json-rpc
 JSON-RPC is a stateless, light-weight remote procedure call (RPC) protocol.
 Primarily this specification defines several data structures and the rules
 around their processing. It is transport agnostic in that the concepts can be
 used within the same process, over sockets, over http, or in many various
 message passing environments. It uses JSON (RFC 4627) as data format.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

## python-jsonrpc 1.13.0

=== debian/changelog ===
python-jsonrpc (1.13.0-5) unstable; urgency=medium

  * Team Upload
  * Set "Rules-Requires-Root: no"
  * Use new dh-sequence-python3
  * Remove vendored six.py

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 18:43:32 +0100

python-jsonrpc (1.13.0-4) unstable; urgency=medium

  * Team Upload
  * remove extraneous dep. on python3-mock
  * finish move from nose to pytest (Closes: #1018518)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 26 Mar 2024 09:24:45 +0100

python-jsonrpc (1.13.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:27:19 +0100

python-jsonrpc (1.13.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 14:38:31 -0400

python-jsonrpc (1.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Andrej Shadura ]
  * New upstream release (Closes: #944250).
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 Apr 2020 12:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: python-jsonrpc
-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               dh-python,
-               dpkg-dev (>= 1.17.14),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-django <!nocheck>,
                python3-flask <!nocheck>,
-               python3-mock <!nocheck>,
-               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jsonrpc
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-jsonrpc.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jsonrpc
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-jsonrpc.git
 Homepage: https://github.com/pavlov99/json-rpc
 
 Package: python3-jsonrpc

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=jsonrpc
export DJANGO_SETTINGS_MODULE=jsonrpc.tests.test_backend_django.settings

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	rm -vf jsonrpc/six.py
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --pyargs jsonrpc
 ; done
Depends: python3-all,
         python3-django,
         python3-flask,
         python3-jsonrpc,
         python3-pytest

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/json-rpc-$1\.tar\.gz/ \
https://github.com/pavlov99/json-rpc/tags .*/v?@ANY_VERSION@\.tar\.gz
